Skip to main content
POST
/
reports
/
{report_id}
/
executions
/
{report_execution_id}
/
url
Generate report download URL
using RestSharp;


var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/reports/{report_id}/executions/{report_execution_id}/url");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PostAsync(request);

Console.WriteLine("{0}", response.Content);
{
  "url": "https://example.com/download",
  "expires_at": "2013-07-16T19:23:00.000+00:00"
}
This endpoint requires the reports.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

report_id
string<uuid>
required

The unique ID for a report.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

report_execution_id
string<uuid>
required

The unique ID for a report execution.

Example:

"8724fd24-5489-4a5d-90fd-0604df7d3b83"

Response

Returns the signed download URL of a report execution result and its expiration date and time.

The temporary signed URL to download the result of a report execution and its expiration date and time.

url
string<uri>

The URL to download the report execution.

Example:

"https://example.com/download"

expires_at
string<date-time>

The date and time when the download URL expires.

Example:

"2013-07-16T19:23:00.000+00:00"